.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 30px 0;
}

.header__logo {
    cursor: pointer;
    width: 100px;
    height: 100px;
}

.header__logo:hover {
    background-color: var(--grey);
    color: var(--white);
    transition: color .4s ease-in-out, background-color .4s ease-in-out;
}

.header__logo:not(:hover) {
    background-color: var(--white);
    color: var(--grey);
    transition: color .4s ease-in-out, background-color .4s ease-in-out;
}

.header__about-us {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 20px;
}

.header__about-us:after {
    display: block;
    content: "";
    height: 3px;
    width: 0%;
    background-color: var(--grey);
    transition: width .4s ease-in-out;
}

.header__about-us:hover:after {
    width: 100%;
}

.header__right {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.header__crystal {
    cursor: pointer;
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-right: 75px;
}

.header__crystal::after {
    content: "";
    position: absolute;
    top: -25%;
    right: -35px;
    width: 3px;
    height: 150%;
    background-color: var(--dark-grey);
    border-radius: 1.5px;
}

.header__crystal:hover .header__crystal-image {
    opacity: 0.7;
    transition: opacity .3s ease-in-out;
}

.header__crystal:hover .header__crystal-number {
    opacity: 0.7;
    transition: opacity .3s ease-in-out;
}

.header__crystal:not(:hover) .header__crystal-image {
    opacity: 1;
    transition: opacity .3s ease-in-out;
}

.header__crystal:not(:hover) .header__crystal-number {
    opacity: 1;
    transition: opacity .3s ease-in-out;
}

.header__crystal-image {
    width: 50px;
    height: 50px;
    margin-right: 7px;
}

.header__crystal-number {
    font-size: 30px;
    font-weight: bold;
    line-height: 1;
    color: var(--dark-grey);
}

.header__sign-in {
    cursor: pointer;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.header__sign-in:hover {
    transform: scale(1.1);
    transition: transform .4s ease-in-out;
}

.header__sign-in:not(:hover) {
    transform: scale(1);
    transition: transform .4s ease-in-out;
}

.header__signed {
    cursor: pointer;
    width: 50px;
    height: 50px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    border: 3.5px solid var(--dark-grey);
    font-size: 35px;
    font-weight: 400;
    line-height: 1;
}

.header__signed:hover {
    scale: 1.025;
    transition: scale .15s ease-in-out;
}

.header__signed:not(:hover) {
    scale: 1;
    transition: scale .15s ease-in-out;
}

@media (max-width: 650px) {
    .header {
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
    }

    .header__logo,
    .header__about-us {
        margin-bottom: 30px;
    }

    .header__logo {
        width: 150px;
        height: 150px;
    }

    .header__right {
        width: 100%;
        justify-content: space-between;
    }

    .header__crystal {
        margin-right: 0;
    }

    .header__crystal::after {
        background-color: transparent;
    }
}